package com.zanxiang.game.platform.serve.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.platform.serve.dao.mapper.PlatformDeYangUserMapper;
import com.zanxiang.game.platform.serve.pojo.dto.PlatformDeYangUserDTO;
import com.zanxiang.game.platform.serve.pojo.entity.PlatformDeYangUser;
import com.zanxiang.game.platform.serve.service.IPlatformDeYangUserService;
import com.zanxiang.module.util.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.util.Strings;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬用户
 */
@Slf4j
@Service
public class PlatformDeYangUserServiceImpl extends ServiceImpl<PlatformDeYangUserMapper, PlatformDeYangUser> implements IPlatformDeYangUserService {

    @Override
    public Boolean addOrUpdate(PlatformDeYangUserDTO userDTO) {
        return super.saveOrUpdate(PlatformDeYangUser.builder()
                .uid(userDTO.getUid())
                .mpOpenId(userDTO.getWecha_id())
                .qcSign(userDTO.getN_wecha_id())
                .time(Strings.isBlank(userDTO.getTime()) ? null : DateUtil.parseLocalDateTime(userDTO.getTime()))
                .tunnelId(userDTO.getTunnel_id())
                .updateTime(Strings.isBlank(userDTO.getUpdate_time()) ? null : DateUtil.parseLocalDateTime(userDTO.getUpdate_time()))
                .allPrice(userDTO.getAll_price())
                .gamePrice(userDTO.getGame_price())
                .mobile(userDTO.getMobile())
                .trueName(userDTO.getTrue_name())
                .code(userDTO.getCode())
                .gameName(userDTO.getGame_name())
                .roleName(userDTO.getRole_name())
                .roleArea(userDTO.getRole_area())
                .ip(userDTO.getIp())
                .appId(userDTO.getAppid())
                .appName(userDTO.getAppname())
                .userAgent(userDTO.getUser_agent())
                .build());
    }
}
